import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NgxScrollTopComponent implements OnInit {
    /**
     * Background color of the back to top button (hex string).
     *
     * Default: `#1775d1` (blue)
     */
    backgroundColor: string;
    /**
     * Offset `px` from bottom of page when scrolled to bottom. For example this
     * can be used to make sure the back to top button never overlaps a footer.
     *
     * Default: `0px`
     *
     * Example: `250px` or `250` because my footer is 250px in height
     */
    bottomOffset: string | number;
    /**
     * The back to top button will not be displayed until the user scrolls to the
     * provided Y (vertical `px`) coordinate on the page.
     *
     * Default: `420px`
     *
     * Example: `100px` or `100`
     */
    displayAtYPosition: string | number;
    /**
     * Position on-screen where the back to top button is displayed.
     *
     * Default: `right`
     */
    position: 'left' | 'right';
    /**
     * Height of back to top button in string px format.
     *
     * Default: `25px`
     */
    styleHeight: string;
    /**
     * Width of back to top button in string px format.
     *
     * Default: `25px`
     */
    styleWidth: string;
    /**
     * Style the `z-index` for the back to top button as needed for correct layer
     * height adjustment. This can be useful when working with sticky headers.
     *
     * Default: `999`
     */
    styleZIndex: number;
    isHidden: boolean;
    private readonly defaultPadding;
    styleBottom: string;
    styleLeft: string;
    styleRight: string;
    onWindowScroll(): void;
    ngOnInit(): void;
    scrollTop(): void;
    private updatePosition;
    private updateIsHidden;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxScrollTopComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxScrollTopComponent, "ngx-scroll-top", never, { "backgroundColor": "backgroundColor"; "bottomOffset": "bottomOffset"; "displayAtYPosition": "displayAtYPosition"; "position": "position"; "styleHeight": "styleHeight"; "styleWidth": "styleWidth"; "styleZIndex": "styleZIndex"; }, {}, never, ["*"], false>;
}
